Package org.gradle.api.tasks

# Interface TaskDestroyables

public interface TaskDestroyables
Represents the files or directories that a `Task` destroys (removes).

Since:
  4.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `register(@Nullable Object... paths)`
  Registers files or directories that this task destroys.

- ## Method Details

  - ### register

    void register(@Nullable Object... paths)
    Registers files or directories that this task destroys.
    Parameters:
      `paths` - The files or directories that will be destroyed. The given paths are evaluated as per `Project.files(Object...)`.
    Since:
      4.3